summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-libs/inchi
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-libs/inchi')
-rw-r--r--sci-libs/inchi/Manifest2
-rw-r--r--sci-libs/inchi/files/inchi-1.03-shared.patch20
-rw-r--r--sci-libs/inchi/files/inchi-1.04-static.patch26
-rw-r--r--sci-libs/inchi/inchi-1.04.ebuild74
-rw-r--r--sci-libs/inchi/metadata.xml8
5 files changed, 130 insertions, 0 deletions
diff --git a/sci-libs/inchi/Manifest b/sci-libs/inchi/Manifest
new file mode 100644
index 00000000000..2bdd0b47645
--- /dev/null
+++ b/sci-libs/inchi/Manifest
@@ -0,0 +1,2 @@
+DIST inchi-1.04-doc.zip 2128303 SHA256 abede36063e838614aa6ade7f20f386f557a78aefb041e1ba0b736088a6a79bc SHA512 930fe10ac2bae11074b7e47446b5af9c01e2aa55f891d04912c71c76e214871c78cc22b3dafea99b57eede5080ac0cfaa6b6d35a73242c8549bea8ffa86e7df7 WHIRLPOOL 5cb5884dbfc9f2e530deb8be0e35643b0a6af70a5b4e069cd610407fac067261a3282ad9db22651fc2efc313ade78930de10ff165dd709a83880815b89e4a4fd
+DIST inchi-1.04.zip 2701930 SHA256 c187573c0f6a1fcd555393315383bd1f69563ee47bd43c898f17c473b7bb690a SHA512 c5a1c2f08d472fcde603acbd898a9a8880407474869eadf0089444503693ae89ff805c579161cb3ee9d7f18e891289a21c4b8a65cc7ece69ee730f7f4e283be4 WHIRLPOOL 89a7ac2f80a9a87a663934bd0f24af6aed77f51115bf0b4858f66c135f932b67dff7bbffa16999ab79f7ca1358ef716fa5f11cb8756011f7622f6440470c59e4
diff --git a/sci-libs/inchi/files/inchi-1.03-shared.patch b/sci-libs/inchi/files/inchi-1.03-shared.patch
new file mode 100644
index 00000000000..6f4619d86bd
--- /dev/null
+++ b/sci-libs/inchi/files/inchi-1.03-shared.patch
@@ -0,0 +1,20 @@
+ INCHI_API/gcc_so_makefile/makefile | 4 +++-
+ 1 files changed, 3 insertions(+), 1 deletions(-)
+
+diff --git a/INCHI_API/gcc_so_makefile/makefile b/INCHI_API/gcc_so_makefile/makefile
+index dd8e53c..cd617ad 100644
+--- a/INCHI_API/gcc_so_makefile/makefile
++++ b/INCHI_API/gcc_so_makefile/makefile
+@@ -213,9 +213,11 @@ $(INCHI_LIB_PATHNAME).so$(VERSION): $(INCHI_LIB_OBJS)
+ $(SHARED_LINK) $(SHARED_LINK_PARM) -o \
+ $(INCHI_LIB_PATHNAME).so$(VERSION) \
+ $(INCHI_LIB_OBJS) \
+- -Wl$(LINUX_MAP)$(LINUX_Z_RELRO),-soname,$(INCHI_LIB_NAME).so$(MAIN_VERSION)
++ -Wl$(LINUX_MAP)$(LINUX_Z_RELRO),-soname,$(INCHI_LIB_NAME).so$(MAIN_VERSION) -lm
+ ln -fs $(INCHI_LIB_NAME).so$(VERSION) \
+ $(INCHI_LIB_PATHNAME).so$(MAIN_VERSION)
++ ln -fs $(INCHI_LIB_NAME).so$(VERSION) \
++ $(INCHI_LIB_PATHNAME).so
+
+ endif
+
diff --git a/sci-libs/inchi/files/inchi-1.04-static.patch b/sci-libs/inchi/files/inchi-1.04-static.patch
new file mode 100644
index 00000000000..a367c153824
--- /dev/null
+++ b/sci-libs/inchi/files/inchi-1.04-static.patch
@@ -0,0 +1,26 @@
+--- INCHI_API/gcc_so_makefile/makefile 2012-05-13 14:52:53.587632989 +0300
++++ INCHI_API/gcc_so_makefile/makefile 2012-05-13 14:52:11.668635419 +0300
+@@ -209,6 +209,14 @@
+
+ else
+
++ifdef STATIC
++
++libinchi.a: $(INCHI_LIB_OBJS)
++ $(AR) rcs $(INCHI_LIB_PATHNAME).a $(INCHI_LIB_OBJS)
++ $(RANLIB) $(INCHI_LIB_PATHNAME).a
++
++else
++
+ $(INCHI_LIB_PATHNAME).so$(VERSION): $(INCHI_LIB_OBJS)
+ $(SHARED_LINK) $(SHARED_LINK_PARM) -o \
+ $(INCHI_LIB_PATHNAME).so$(VERSION) \
+@@ -219,6 +226,8 @@
+
+ endif
+
++endif
++
+ # === InChI Library compile rule =========
+
+ %.o: $(P_LIBR)%.c
diff --git a/sci-libs/inchi/inchi-1.04.ebuild b/sci-libs/inchi/inchi-1.04.ebuild
new file mode 100644
index 00000000000..06370f2fd48
--- /dev/null
+++ b/sci-libs/inchi/inchi-1.04.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="A program and library for generating standard and non-standard InChI and InChIKeys"
+HOMEPAGE="http://www.iupac.org/inchi/"
+SRC_URI="
+ http://www.inchi-trust.org/sites/default/files/inchi-${PV}/INCHI-1-API.ZIP -> ${P}.zip
+ doc? ( http://www.inchi-trust.org/sites/default/files/inchi-${PV}/INCHI-1-DOC.ZIP -> ${P}-doc.zip )"
+
+LICENSE="IUPAC-InChi"
+SLOT="0"
+KEYWORDS="amd64 arm ppc ppc64 x86 ~amd64-linux ~x86-linux"
+IUSE="doc static-libs"
+
+DEPEND="app-arch/unzip"
+RDEPEND=""
+
+S="${WORKDIR}"/INCHI-1-API
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${PN}-1.03-shared.patch \
+ "${FILESDIR}"/${PN}-1.04-static.patch
+ tc-export AR RANLIB
+}
+
+src_compile() {
+ local dir common_opts
+ common_opts=(
+ C_COMPILER=$(tc-getCC)
+ CPP_COMPILER=$(tc-getCXX)
+ LINKER="$(tc-getCXX) ${LDFLAGS}"
+ SHARED_LINK="$(tc-getCC) ${LDFLAGS} -shared"
+ C_COMPILER_OPTIONS="\${P_INCL} -ansi -DCOMPILE_ANSI_ONLY ${CFLAGS} -c "
+ CPP_COMPILER_OPTIONS="\${P_INCL} -D_LIB -ansi ${CXXFLAGS} -frtti -c "
+ C_OPTIONS="${CFLAGS} -fPIC -c "
+ LINKER_OPTIONS="${LDFLAGS}"
+ CREATE_MAIN=
+ ISLINUX=1
+ )
+ for dir in INCHI/gcc/inchi-1 INCHI_API/gcc_so_makefile; do
+ pushd ${dir} > /dev/null
+ emake \
+ "${common_opts[@]}"
+ popd > /dev/null
+ done
+ if use static-libs ; then
+ pushd INCHI_API/gcc_so_makefile > /dev/null
+ emake libinchi.a \
+ "${common_opts[@]}" \
+ STATIC=1
+ popd > /dev/null
+ fi
+}
+
+src_install() {
+ dodoc readme*.txt
+ if use doc ; then
+ cd "${WORKDIR}/INCHI-1-DOC/"
+ docinto doc
+ dodoc *.pdf readme.txt
+ fi
+ dobin "${S}"/INCHI/gcc/inchi-1/inchi-1
+ cd "${S}/INCHI_API/gcc_so_makefile/result" || die
+ rm *gz || die
+ dolib.so lib*so*
+ use static-libs && dolib.a lib*a
+ doheader ../../inchi_main/inchi_api.h
+}
diff --git a/sci-libs/inchi/metadata.xml b/sci-libs/inchi/metadata.xml
new file mode 100644
index 00000000000..a168ded5a2e
--- /dev/null
+++ b/sci-libs/inchi/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-chemistry</herd>
+ <longdescription>
+Program v1.03 implementing IUPAC (Standard) InChI/InChIKey version 1.
+</longdescription>
+</pkgmetadata>